Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.elements.structures
Class OdaDesignerState

    java.lang.Object
      org.eclipse.birt.report.model.core.Structure
          org.eclipse.birt.report.model.api.elements.structures.OdaDesignerState

All Implemented Interfaces:
  java.lang.Cloneable, IStructure, org.eclipse.birt.report.model.core.IPropertySet

    public class OdaDesignerState

extends org.eclipse.birt.report.model.core.Structure

The structure of the Oda designer state.

Field Summary
`static java.lang.String` | `CHARSET` Encoding mode for the data member.
`static java.lang.String` | `CONTENT_AS_BLOB_MEMBER` Name of the "stateContentAsString" member.
`static java.lang.String` | `CONTENT_AS_STRING_MEMBER` Name of the "stateContentAsString" member.
`static java.lang.String` | `STRUCTURE_NAME` Name of this structure.
`static java.lang.String` | `VERSION_MEMBER` Name of the "version" member.

Constructor Summary
`OdaDesignerState()` Default constructor.
`OdaDesignerState(java.lang.String version, java.lang.String contentAsString, java.lang.String contentAsBlob)` Constructs the sort key with the key to sort and the direction.

Method Summary
`byte[]` | `getContentAsBlob()` Returns the content data as byte arrays.
`java.lang.String` | `getContentAsString()` Returns the content data as string.
`StructureHandle` | `getHandle(SimpleValueHandle valueHandle)` Return an `FormatValueHandle` to deal with the string format.
`protected java.lang.Object` | `getIntrinsicProperty(java.lang.String propName)` Returns the value of a structure property represented as a member variable.
`java.lang.String` | `getStructName()` Returns the name of the structure definition.
`java.lang.String` | `getVersion()` Returns the version of the designer state's data.
`StructureHandle` | `handle(SimpleValueHandle valueHandle, int index)` Creates the specific handle of this structure.
`void` | `setContentAsBlob(byte[] contentBlob)` Sets the content data as byte arrays.
`void` | `setContentAsString(java.lang.String contentString)` Sets the content data as string.
`protected void` | `setIntrinsicProperty(java.lang.String propName, java.lang.Object value)` Sets the value of of a structure property represented as a member variable.
`void` | `setVersion(java.lang.String version)` Sets the version of the designer state's data.

Methods inherited from class org.eclipse.birt.report.model.core.Structure
`copy, equals, getContext, getDefn, getElement, getHandle, getListMemberRef, getLocalProperty, getLocalProperty, getObjectDefn, getProperty, getProperty, getReferencableProperty, isDesignTime, isReferencable, setContext, setProperty, setProperty, updateReference, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STRUCTURE_NAME

    public static final java.lang.String STRUCTURE_NAME

  Name of this structure. Matches the definition in the meta-data dictionary.

  See Also:
    Constant Field Values

### VERSION_MEMBER

    public static final java.lang.String VERSION_MEMBER

  Name of the "version" member. Version of the designer state's data format.

  See Also:
    Constant Field Values

### CONTENT_AS_STRING_MEMBER

    public static final java.lang.String CONTENT_AS_STRING_MEMBER

  Name of the "stateContentAsString" member. The data of the content as a string.

  See Also:
    Constant Field Values

### CONTENT_AS_BLOB_MEMBER

    public static final java.lang.String CONTENT_AS_BLOB_MEMBER

  Name of the "stateContentAsString" member. The data of the content as a byte array.

  See Also:
    Constant Field Values

### CHARSET

    public static final java.lang.String CHARSET

  Encoding mode for the data member.

  See Also:
    Constant Field Values

Constructor Detail

### OdaDesignerState

    public OdaDesignerState(java.lang.String version,
                            java.lang.String contentAsString,
                            java.lang.String contentAsBlob)

  Constructs the sort key with the key to sort and the direction.

  Parameters:
    `version` -
    `contentAsString` -
    `contentAsBlob` -

### OdaDesignerState

    public OdaDesignerState()

  Default constructor.

Method Detail

### getStructName

    public java.lang.String getStructName()

  Description copied from interface: `IStructure`
  Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

  Returns:
    the internal name of the structure a defined in the meta-data dictionary.

### getIntrinsicProperty

    protected java.lang.Object getIntrinsicProperty(java.lang.String propName)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Returns the value of a structure property represented as a member variable.

  Specified by:
    `getIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `propName` - name of the property
  Returns:
    the value of the property, or null if the property is not set

### setIntrinsicProperty

    protected void setIntrinsicProperty(java.lang.String propName,
                                        java.lang.Object value)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Sets the value of of a structure property represented as a member variable.

  Specified by:
    `setIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `propName` - the name of the property to set
    `value` - the property value

### getVersion

    public java.lang.String getVersion()

  Returns the version of the designer state's data.

  Returns:
    the version of the designer state's data.

### setVersion

    public void setVersion(java.lang.String version)

  Sets the version of the designer state's data.

  Parameters:
    `version` - the version of the designer state's data.

### getContentAsBlob

    public byte[] getContentAsBlob()

  Returns the content data as byte arrays.

  Returns:
    the content data as byte arrays.

### setContentAsBlob

    public void setContentAsBlob(byte[] contentBlob)

  Sets the content data as byte arrays.

  Parameters:
    `contentBlob` - the content data as byte arrays.

### getContentAsString

    public java.lang.String getContentAsString()

  Returns the content data as string.

  Returns:
    the content data as string.

### setContentAsString

    public void setContentAsString(java.lang.String contentString)

  Sets the content data as string.

  Parameters:
    `contentString` - the content data as string.

### getHandle

    public StructureHandle getHandle(SimpleValueHandle valueHandle)

  Return an `FormatValueHandle` to deal with the string format.

  Overrides:
    `getHandle` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `valueHandle` - the property or member handle
  Returns:
    the strcuture handle

### handle

    public StructureHandle handle(SimpleValueHandle valueHandle,
                                  int index)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Creates the specific handle of this structure. This handle is always created.

  Specified by:
    `handle` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `valueHandle` - the value handle of this structure list property this structure is in
    `index` - the position of this structure in structure list
  Returns:
    the handle of this structure.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.